#!/bin/sh
JARDIR=/usr/share/java
LIBPATH=/usr/lib64/sikuli:/usr/lib64/java
MAIN=org.sikuli.ide.SikuliIDE
SWINGX_JARS="swingx/swingx-autocomplete swingx/swingx-beaninfo swingx/swingx-common swingx/swingx-core swingx/swingx-graphics swingx/swingx-painters swingx/swingx-plaf"
CLASSPATH=
RET=0
for jar in apache-commons-cli swing-layout json_simple jgoodies-forms jgoodies-common $SWINGX_JARS mockito/mockito-core jython/jython JXGrabKey junit3 mac_widgets sikuli-script sikuli-ide; do
	JARFILE="$JARDIR/$jar.jar"
	if [ -f "$JARFILE" ]; then
		if [ -z "$CLASSPATH" ]; then
			CLASSPATH="$JARFILE"
		else
			CLASSPATH="$CLASSPATH:$JARFILE"
		fi
	else
		echo "Error: $JARFILE not found. Please install it to run ${MAIN##*.}" >&2
		RET=1
	fi
done
[ $RET -eq 0 ] || exit $RET
LD_LIBRARY_PATH=$LIBPATH LC_NUMERIC=C java -Dsikuli.console=true -Dsikuli.debug=0 -Xms64M -Xmx512M -Dfile.encoding=UTF-8 -cp "$CLASSPATH" "$MAIN" "$@"
